% Program 3-9
% qpskmod.m
%
% Function to perform QPSK modulation
%
% Programmed by H.Harada
%

function [iout,qout]=symgenerator(paradata,nd)

%****************** variables *************************
% paradata : input data (para-by-nd matrix)
% iout :output Ich data
% qout :output Qch data
% para   : Number of paralell channels
% nd : Number of data
% ml : Number of modulation levels
% (QPSK ->2  16QAM -> 4)
% *****************************************************

paradata2=paradata.*2-1;


for i=1:nd
	iout(1,i)=paradata2(1,2*i-1);
   
	qout(1,i)=paradata2(1,2*i);
   

end

%******************** end of file ***************************
